Main Page Namespace List Class Hierarchy Alphabetical List Data Structures File List Namespace Members Data Fields Globals

# ExManagerPVS Class Reference

`#include <ExManagerPVS.h>`

Inheritance diagram for ExManagerPVS:

## Public Methods
| ExManagerPVS (void)
| ~ExManagerPVS (void)
void | Init (void)
void | Reset (void)
void | SetManagerId (ExManagerId *Id)
void | DrawObjectInPVS (void)
void | DrawAllObject (void)
void | SetVecSystemeParticule (std::vector< ExCSystemeParticule * > *vec)
## Private Attributes
ExManagerId * | ManagerId
ExCFrustum | Frustrum
std::vector< ExCSystemeParticule * > * | m_VecSystemeParticule

## Constructor & Destructor Documentation

ExManagerPVS | ( | void |  | ) |

| Definition at line 26 of file ExManagerPVS.cpp. References Reset().
    00027 {
    00028         Reset();
    00029 }

~ExManagerPVS | ( | void |  | ) |

| Definition at line 31 of file ExManagerPVS.cpp.
    00032 {
    00033 }

## Member Function Documentation

void DrawAllObject | ( | void |  | ) |

| Definition at line 35 of file ExManagerPVS.cpp. References ExCFrustum::CalculateFrustum(), DrawAllObject(), Frustrum, Guard, m_VecSystemeParticule, and uint. Referenced by DrawAllObject().
    00036 {
    00037 Guard(void ExManagerPVS::DrawAllObject(void))
    00038         uint i=0;
    00039         Frustrum.CalculateFrustum();
    00040         //---------------------------
    00041         //PARTICULE SYSTEM
    00042         //---------------------------
    00043         glPushMatrix();
    00044         i=0;
    00045         while(i<m_VecSystemeParticule->size())
    00046         {
    00047                 m_VecSystemeParticule->at(i)->Draw();
    00048                 i++;
    00049         }
    00050         glPopMatrix();
    00051
    00052 UnGuard
    00053 }

void DrawObjectInPVS | ( | void |  | ) |

void Init | ( | void |  | ) | `[virtual]`

| Reimplemented from ExManager. Definition at line 61 of file ExManagerPVS.cpp. References m_VecSystemeParticule.
    00062 {
    00063         m_VecSystemeParticule = new std::vector<ExCSystemeParticule *>;
    00064 }

void Reset | ( | void |  | ) | `[virtual]`

| Reimplemented from ExManager. Definition at line 56 of file ExManagerPVS.cpp. Referenced by ExManagerPVS().
    00057 {
    00058
    00059 }

void SetManagerId | ( | ExManagerId * | Id | ) | `[inline]`

| Definition at line 67 of file ExManagerPVS.h. References ManagerId.
    00068 {ManagerId      = Id;}

void SetVecSystemeParticule | ( | std::vector< ExCSystemeParticule * > * | vec | ) | `[inline]`

| Definition at line 71 of file ExManagerPVS.h. References m_VecSystemeParticule.

## Field Documentation

ExCFrustum Frustrum`[private]`

| Definition at line 51 of file ExManagerPVS.h. Referenced by DrawAllObject().

std::vector<ExCSystemeParticule *>* m_VecSystemeParticule`[private]`

| Definition at line 53 of file ExManagerPVS.h. Referenced by DrawAllObject(), Init(), and SetVecSystemeParticule().

ExManagerId* ManagerId`[private]`

| Definition at line 50 of file ExManagerPVS.h.

The documentation for this class was generated from the following files:

- ExManagerPVS.h
- ExManagerPVS.cpp